Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84635 - RFE: Logging %pre/%post actions
Summary: RFE: Logging %pre/%post actions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-19 20:37 UTC by Matthew Galgoci
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-05 03:05:50 UTC


Attachments (Terms of Use)

Description Matthew Galgoci 2003-02-19 20:37:45 UTC
Description of problem:

currently the commands in the %post section of kickstart are not logged to
anywhere, making debugging kickstarts a royal pain in the ass.

In my kickstarts, I currently do the following to set log the output and also
set up the default environemt as root's environment:

%post

su - root -c "(

foo shell commands as root here....

)" 1>/root/post_install.log 2>&1

Comment 1 Michael Fulbright 2003-02-20 22:59:30 UTC
Is this an RFE for logging of what happens in the %post and %pre?


Comment 2 Matthew Galgoci 2003-02-20 23:05:26 UTC
Yes, concider this an RFE against loggint what happens in %pre and %post

Defer this as needed, its not critical, but its something that we already do
in most of our kickstarts. Other folks might find it useful too.

Comment 3 Jeremy Katz 2004-10-05 03:05:50 UTC
Added this today.  Add --log to %pre and %post.


Note You need to log in before you can comment on or make changes to this bug.